- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.moduleSettings.properties/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.moduleSettings.properties/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.moduleSettings.properties/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.moduleSettings.properties/list#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.moduleSettings.properties/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.moduleSettings.properties/list#body.ListModuleSettingsPropertiesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.moduleSettings.properties/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.moduleSettings.properties/list#body.aspect_1)

**Full name**: projects.locations.instances.moduleSettings.properties.list

Lists all properties of a given module setting. Use this method to see all configurable settings available for a particular functional area.

### HTTP request

`GET https://{endpoint}/v1beta/{parent}/properties`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The module setting to list properties for. Format: projects/{project}/locations/{location}/instances/{instance}/moduleSettings/{module} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of properties to return. The service may return fewer than this value. If unspecified, at most 20 ModuleSettingsPropertys will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` Optional. A page token, received from a previous `properties.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListBooks` must match the call that provided the page token. |
| `filter` | `string` Optional. Filter to be applied over multiple ModuleSettingsProperty fields. |
| `orderBy` | `string` Optional. The order in which items should be returned. |

### Request body

The request body must be empty.

### Response body

Response message for properties.list.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "moduleSettingsProperties": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.moduleSettings.properties#ModuleSettingsProperty`) } ], "nextPageToken": string, "totalSize": integer } ``` |

| Fields ||
|---|---|
| `moduleSettingsProperties[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.moduleSettings.properties#ModuleSettingsProperty`)`` The list of ModuleSettingsProperties. Ordered by by name. |
| `nextPageToken` | `string` Optional. A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |
| `totalSize` | `integer` Optional. The total number of module settings properties. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.moduleSettingsProperties.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).